/**
 * Implementation of CheckedAccount wihtout inheritance (using objects adapter)
 */
public class AdaptedCheckedAccount
{
    private int minBalance;  // minimalni zustatek na uctu
    private Account account; // puvodni (unchecked) ucet
    
    public AdaptedCheckedAccount(Account acc) {
        account = acc;
    }
    
    public int getMinBalance() {
        return minBalance;
    }
    
    public double getBalance() {
        return account.getBalance();
    }
    
    public double add(double amount) {
        return account.add(amount);
    }
    
    public double withdraw(double amount) {
        if (getBalance() - amount >= minBalance) {
            account.withdraw(amount);
        }
        return getBalance();
    }
}
